> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Customer Settings

GET https://api.bigcommerce.com/stores/{store_hash}/v3/customers/settings

Returns the global-level customer settings.

**Notes:**
* Global customer settings don't apply on a channel when there are channel specific settings configured through [Channel Settings](/developer/api-reference/rest/admin/management/customers/v3/channel-settings).


Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/customers/v3/global-settings/get-customers-settings

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

## Response

### 200

Returns customer settings values for global level.

- `data` (CustomerSettingsObject, optional) — Customer Settings.
- `meta` (CustomersSettingsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CustomerSettingsObject

Customer Settings.

- `privacy_settings` (CustomerSettingsObjectPrivacySettings, optional) — Controls the privacy settings.
- `customer_group_settings` (CustomerSettingsObjectCustomerGroupSettings, optional) — The settings for a collection of customers.

### CustomersSettingsGetResponsesContentApplicationJsonSchemaMeta

### CustomerSettingsObjectPrivacySettings

Controls the privacy settings.

- `ask_shopper_for_tracking_consent` (boolean, optional) — Determines if a customer requires consent for tracking privacy.
- `policy_url` (string, optional) — The URL for a websiteʼs privacy policy.

### CustomerSettingsObjectCustomerGroupSettings

The settings for a collection of customers.

- `guest_customer_group_id` (integer, optional) — The ID for a guest customer group.
- `default_customer_group_id` (integer, optional) — The ID for a default customer group.

## Examples

**Response**

```json
{
  "customer_group_settings": {
    "default_customer_group_id": 1,
    "guest_customer_group_id": 1
  },
  "privacy_settings": {
    "ask_shopper_for_tracking_consent": true,
    "policy_url": "https://bigcommerce.com/policy"
  }
}
```

**SDK Code**

```python data
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/customers/settings"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript data
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/customers/settings';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go data
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/customers/settings"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby data
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/customers/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java data
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/customers/settings")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php data
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/customers/settings', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp data
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/customers/settings");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift data
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/customers/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```